package st.tori.android.core.util;

import android.app.AlertDialog;
import android.content.Context;
import android.content.DialogInterface;

public class DialogUtil {

	public static void showSimpleDialog (Context context, String title, String content) {
		showSimpleDialog(context, title, content, null, null);
	}
	public static void showSimpleDialog (Context context, String title, String content,String buttonLabel,DialogInterface.OnClickListener buttonAction) {
    	AlertDialog.Builder alertDialogBuilder = new AlertDialog.Builder(context);
    	alertDialogBuilder.setTitle(title);
    	alertDialogBuilder.setMessage(content);
    	if(buttonLabel==null)buttonLabel = "Close";
    	if(buttonAction==null)buttonAction = new DialogInterface.OnClickListener(){
			@Override
			public void onClick(DialogInterface dialog, int arg) {
				dialog.dismiss();
			}
    	};
		alertDialogBuilder.setPositiveButton (buttonLabel, buttonAction);
    	alertDialogBuilder.create().show();		
	}

}