package st.tori.jpredict.core.orm;


public class SimpleGpsPosition implements GpsPositionInterface {

	private Double longitude;
	private Double latitude;
	private Double heightInMeter;
	
	public SimpleGpsPosition(Double longitude,Double latitude){
		this.longitude = longitude;
		this.latitude = latitude;
	}
	public SimpleGpsPosition(Double longitude,Double latitude,Double heightInMeter){
		this.longitude = longitude;
		this.latitude = latitude;
		this.heightInMeter = heightInMeter;
	}
	
	public Double getLongitude() {
		return longitude;
	}
	public Double getLatitude() {
		return latitude;
	}
	public Double getHeightInMeter(){
		return heightInMeter;
	}
	
	public String toString(){
		return "SimpleGpsPosition[lon="+longitude+",lat="+latitude+",height="+heightInMeter+"]";
	}
	public boolean equals(Object obj){
		if(obj!=null&&obj instanceof SimpleGpsPosition)
			return (getLongitude()==((SimpleGpsPosition)obj).getLongitude()
				&&getLatitude()==((SimpleGpsPosition)obj).getLatitude()
				&&getHeightInMeter()==((SimpleGpsPosition)obj).getHeightInMeter());
		else
			return super.equals(obj);
	}

}
