package st.tori.jpredict.levistone.model;

public interface Target {

	String getLabelOnTargetList();
	
	Target[] getSubTargetArray();
	
	
	public static class SimpleTarget implements Target {
		
		private int id;
		private String label;
		private Target[] subTargetArray = null;
		
		public SimpleTarget(int id,String label){
			this.id = id;
			this.label = label;
		}
		public int getId(){
			return id;
		}
		public String getLabelOnTargetList(){
			return label;
		}
		public String toString(){
			return "SimpleTarget(label="+label+")";
		}
		
		public void setSubTargetArray(Target[] subTargetArray){
			this.subTargetArray = subTargetArray;
		}
		public Target[] getSubTargetArray(){
			return subTargetArray;
		}
		
	}
}
