package st.tori.jpredict.levistone.orm;

import st.tori.jpredict.levistone.activity.MainActivity.Offsets;

public abstract class Operand {

	public static final String CMD_PREFIX_OPERAND_SWITCH			 = "S";
	public static final String CMD_PREFIX_OPERAND_ROTATE			 = "R";
	public static final String CMD_PREFIX_OPERAND_ROTATE_RAW		 = "r";
	public static final String CMD_PREFIX_OPERAND_CALIBRATE_A_AZ	 = "aa";
	public static final String CMD_PREFIX_OPERAND_CALIBRATE_B_AZ	 = "ba";
	public static final String CMD_PREFIX_OPERAND_CALIBRATE_A_EL	 = "ae";
	public static final String CMD_PREFIX_OPERAND_CALIBRATE_B_EL	 = "be";
	
	public abstract String getCmdStr(Offsets offsets);
	
	private boolean waiting = false;
	protected final void waiting(){
		this.waiting = true;
	}
	public final boolean isWaiting(){	return this.waiting;	}
	public final void execting(){
		this.waiting = false;
	}

	protected long waitUntilInMillis = -1;
	public void setWaitUntilInMillis(long waitUntilInMillis){
		this.waitUntilInMillis = waitUntilInMillis;
	}
	public long getWaitUntilInMillis(){
		return this.waitUntilInMillis;
	}
	
}
