package st.tori.jpredict.levistone.orm;

import java.util.List;

import st.tori.jpredict.levistone.activity.MainActivity.Offsets;

import android.util.Log;

public class OperandSequence extends Operand {

	private static final String TAG = "OperandSequence";
	
	protected List<Operand> operandList;
	protected int index = 0;
	
	public OperandSequence(){
	}
	public void setOperands(List<Operand> operandList){
		this.operandList = operandList;
		this.index = 0;
		waiting();
	}
	
	@Override
	public long getWaitUntilInMillis() {
		return operandList.get(index).getWaitUntilInMillis();
	}
	@Override
	public String getCmdStr(Offsets offsets) {
		return operandList.get(index).getCmdStr(offsets);
	}
	public boolean hasNext(){
		if(this.operandList.size()<=this.index+1)
			return false;
		this.index++;
		return true;
	}
	
	public List<Operand> getOperandList() {
		return operandList;
	}
	public int getIndex() {
		return index;
	}

}
