package st.tori.jpredict.levistone.orm;

public class SwitchStatus {

	public static final int LED_MODE_OFF	 = 0;
	public static final int LED_MODE_ON		 = 1;
	public static final int LED_MODE_BLINK	 = 2;
	
	public static final int LASER_MODE_OFF	 = 0;
	public static final int LASER_MODE_ON	 = 1;
	
	private boolean auto;
	private int blueMode;
	private int laserMode;
	private int redMode;
	
	public SwitchStatus(boolean auto,int blueMode,int laserMode,int redMode) {
		set(auto,blueMode,laserMode,redMode);
	}
	public void set(boolean auto,int blueMode,int laserMode,int redMode) {
		this.auto = auto;
		this.blueMode = blueMode;
		this.laserMode = laserMode;
		this.redMode = redMode;
	}
	public String toString() {
		return "SwitchStatus:auto="+auto+",blueMode="+blueMode+",laserMode="+laserMode+",redMode="+redMode;
	}
	
	public boolean isAuto() {
		return auto;
	}
	public void setAuto(boolean auto) {
		this.auto = auto;
	}
	public int getBlueMode() {
		return blueMode;
	}
	public void setBlueMode(int blueMode) {
		this.blueMode = blueMode;
	}
	public int getLaserMode() {
		return laserMode;
	}
	public void setLaserMode(int laserMode) {
		this.laserMode = laserMode;
	}
	public int getRedMode() {
		return redMode;
	}
	public void setRedMode(int redMode) {
		this.redMode = redMode;
	}
	
}
