package st.tori.jpredict.levistone.model;

import java.util.List;

import android.os.Parcel;
import android.os.Parcelable;

public class SatListContainer implements Parcelable {
	
	private List<Satellite> satList;
	
	public List<Satellite> getSatList(){
		return satList;
	}
	
	//--------------------
	//	Parcelable関連
	//--------------------

	@Override
	public int describeContents() {	return 0;	}

	@Override
	public void writeToParcel(Parcel out, int flags) {
		out.writeTypedList(satList);
	}
	public static final Parcelable.Creator<SatListContainer> CREATOR  
	        = new Parcelable.Creator<SatListContainer>() {  
	    public SatListContainer createFromParcel(Parcel in) {  
	        return new SatListContainer(in);  
	    }  
	
	    public SatListContainer[] newArray(int size) {  
	        return new SatListContainer[size];  
	    }  
	};  
	private SatListContainer(Parcel in) {
		satList = in.createTypedArrayList(Satellite.CREATOR);  
	}
	public SatListContainer(List<Satellite> satList) {  
		this.satList = satList;  
	}
}
