package st.tori.jpredict.levistone.network.tsv;

import android.util.Log;

public class TsvLine  {
	String[] tokens;
	private String rawString;
	public TsvLine (String str) {
		this.rawString = str;
		tokens = str.split("\t");
	}
	public String getRawString () {
		return rawString;
	}
	public String getType () {
		return tokens[0];
	}
	public int getIntAt (int index) {
		return Integer.parseInt(getStringAt(index));
	}
	public double getDoubleAt (int index) {
		return Double.parseDouble(getStringAt(index));
	}
	public String getStringAt (int index) {
		return (index+1 < tokens.length)?tokens[index+1]:"";
	}
	public boolean getBooleanAt(int index) {
		return "true".equals(getStringAt(index));
	}
	public long getLongAt(int index) {
		return Long.parseLong(getStringAt(index));
	}
}